<template>
    <el-card>
        <div style="padding: 3rem 2.5rem 0">
            <!-- Elegir un material -->   
            <p class="subtitle-styles" v-bind:class="[ !title ? 'text-dark-gray-3' : 'text-orange' ]" style="margin-bottom: 1.5rem">MATERIAL:</p>
            <el-row :gutter="20" style="margin-bottom: 2rem">
                <el-col :span="4">
                    <p class="margin-bottom-5 bold">Código:</p>
                    <!-- <el-input v-model="dayCodMaterial" @keyup.enter.native="findMaterialByCode(index, day)" @blur="verifyIfHasContent(day)" size="mini" ></el-input> -->
                    <el-input v-model="dayCodMaterial" @keyup.enter.native="findMaterial" @blur="verify" size="mini" ></el-input>
                </el-col>
                <el-col :span="19" :offset="1">
                    <p class="margin-bottom-5 bold">Título:</p>
                    <!-- @blur="$emit('verifyIfHasContent', day)"
                        v-on:select="$emit('findMaterialByCode', {index, day})" -->
                    <el-autocomplete
                        v-model="titleElement"
                        style="width: 100%;"
                        size="mini"
                        :fetch-suggestions="query"
                        :trigger-on-focus="false"
                        @select="handleSelect"
                        @blur="verify"
                        v-on:select="findMaterial">
                        <template slot-scope="props">
                            <div>{{ props.item.originalTitle }}</div>
                        </template>
                    </el-autocomplete>
                </el-col>
            </el-row>

            <!-- Elegir capítulo(s) -->
            <!-- <el-row style="margin-bottom: 2rem" v-if="day.isShowTemporadas">
                <p style="margin-bottom: 0.5rem"><strong>Capítulos:</strong></p>
                <el-col :span="4" style="margin-right: 2rem"
                    v-for="(chapter, i) in day.chapters"
                    :key="i">
                    <el-col :span="12"><el-input v-model="chapter.numChapter" v-on:keyup.native="validateDurationOfChapter(index, day, day.dailyCuttingProgram, day.chapters, chapter.numChapter )" size="mini" v-on:keypress.native="isNumber"></el-input></el-col>
                    <el-col :span="12" v-if="day.chapters.length === 1" style="margin-top: 1px;">
                    <i v-on:click="addChapter(i, index, chapter)" class="el-icon-circle-plus text-orange" style="font-size:25px; margin-left: 6px;"></i>
                    </el-col>
                    <el-col :span="12" v-else style="margin-top: 1px;">
                    <i v-on:click="addChapter(i, index, chapter )" class="el-icon-circle-plus text-orange" style="font-size:25px; margin-left: 6px;"></i>
                    <i v-on:click="deleteChapter(i, index)" class="el-icon-remove text-dark-gray-2" style="font-size:25px"></i>
                    </el-col>
                </el-col>
            </el-row> -->

            <!-- MATERIAL CON CAPITULOS -->
            <!-- <div v-if="day.isShowTemporadas">
                <el-row v-for="(chapter, index) in day.chapters" 
                :key="index" style="margin-bottom: 2rem">
                    <hr style="margin-bottom: 2rem">
                    <el-col :span="9">
                    <el-row style="margin-bottom: 1rem">
                        <p style="margin-bottom: 1.5rem" v-bind:class="[ !day.materialTitle ? 'text-dark-gray-3' : 'text-orange' ]"><strong>TEMPORADA {{ chapter.season }} - CAP. {{ chapter.numChapter }}:</strong></p>
                        <el-col :span="11">
                        <p class="fonts-bold-general" style="margin-top: 5px;"> N° de Temporada: </p>
                        </el-col>
                        <el-col :span="4" :offset="1">
                        <el-input v-model="chapter.season" size="mini" v-on:keypress.native="isNumber"></el-input>
                        </el-col>
                    </el-row>
                    <el-radio v-model="chapter.seasonInfo" label="Inicio de Temporada" style="margin: 0 0 5px; display: block;">Inicio de Temporada</el-radio>
                    <el-radio v-model="chapter.seasonInfo" label="Fin de Temporada" style="margin: 0; display: block;">Fin de Temporada</el-radio>
                    </el-col>
                    <el-col :span="9" :offset="1">
                    <p style="margin-bottom: 1.5rem" v-bind:class="[ !day.materialTitle ? 'text-dark-gray-3' : 'text-orange' ]"><strong>ESTADO - CAP. {{ chapter.numChapter }}:</strong></p>
                    <el-checkbox v-model="chapter.rerun" class="statusCheck">Rerun</el-checkbox>
                    <el-checkbox v-model="chapter.estreno" class="statusCheck">Estreno</el-checkbox>
                    <el-checkbox v-model="chapter.ongoing" class="statusCheck">Ongoing</el-checkbox>
                    </el-col>
                </el-row>
            </div> -->

            <!-- MATERIAL SIN CAPITULOS -->
            <!-- <div v-else> 
                <el-row v-for="(chapter, index) in day.chapters" 
                    :key="index" style="margin-bottom: 2rem">
                    <hr style="margin-bottom: 2rem">
                    <el-input v-if="false" v-model="chapter.numChapter = 1"  size="mini"></el-input>
                    <el-col :span="9" :offset="1">
                    <p style="margin-bottom: 1.5rem" v-bind:class="[ !day.materialTitle ? 'text-dark-gray-3' : 'text-orange' ]"><strong>ESTADO</strong></p>
                    <el-checkbox v-model="chapter.rerun" class="statusCheck">Rerun</el-checkbox>
                    <el-checkbox v-model="chapter.estreno" class="statusCheck">Estreno</el-checkbox>
                    <el-checkbox v-model="chapter.ongoing" class="statusCheck">Ongoing</el-checkbox>
                    </el-col> 
                </el-row>
            </div> -->

            <!-- <hr style="margin-top:2.5rem"> -->
            <!-- HORARIO DEL PROGRAMA -->
            <!-- <h4 class="text-orange" style="margin: 3rem 0 2rem">HORARIO DEL PROGRAMA</h4>
            <el-row style="margin-bottom:3rem">
                <el-col :span="11" :offset="1">
                    <el-row type="flex" align="middle">
                        <el-col :span="4">
                            <span class="font-general">Inicio:</span>
                        </el-col>
                        <el-col :span="7">
                            <el-input size="small" v-model="day.scheduleStartHour" placeholder="00" v-on:keypress.native="isNumber"  maxlength="2">
                            <template slot="append">hr</template>
                            </el-input>
                        </el-col>
                        <el-col :span="7" :offset="1">
                            <el-input size="small" v-model="day.scheduleStartMin" placeholder="00" v-on:keypress.native="isNumber" ref="jump1"  maxlength="2">
                            <template slot="append">min</template>
                            </el-input>
                        </el-col>
                    </el-row>
                </el-col>

                <el-col :span="11" :offset="1">
                    <el-row type="flex" align="middle">
                        <el-col :span="4">
                            <span class="font-general">Fin:</span>
                        </el-col>
                        <el-col :span="7">
                            <el-input size="small" v-model="day.scheduleEndHour" placeholder="00" v-on:keypress.native="isNumber" ref="jump2" maxlength="2">
                            <template slot="append">hr</template>
                            </el-input>
                        </el-col>
                        <el-col :span="7" :offset="1">
                            <el-input size="small" v-model="day.scheduleEndMin" placeholder="00" v-on:keypress.native="isNumber" ref="jump3" maxlength="2">
                            <template slot="append">min</template>
                            </el-input>
                        </el-col> 
                    </el-row>
                </el-col>
            </el-row>
            <hr style="margin-top:2.5rem"> -->
            
            <!-- Señales -->
            <!-- <componentSignal :isIndeterminate="isIndeterminate"  :checkAll="checkAll" :handleCheckAllChange="handleCheckAllChange" :handleCheckedSignalsChange="handleCheckedSignalsChange" :checkedSignals="isExit().value" :signals="signals" :signalModal="signalModal" @updateCheckedSignals="updateCheckedSignals" @updateCheckedAll="updateCheckedAll" :conditionalShow="isConditionalShow()" :signalsTrans="signalsTrans" :isHaveAllSignals="isHaveAllSignals()"/> -->
        </div>
    </el-card>
</template>

<script>
    export default {
        name: 'cardProgram',
        props: {
            title: {
                type: String
            },
            dayCodMaterial: {
                type: String
            },
            day: {
                type: Object
            },
            index: {
                type: Number
            },
            query: {
                type: Function
            },
            handleSelect: {
                type: Function
            }
        },
        data() {
            return {
                // titleElement: this.title
            }
        },
        computed: {
            titleElement: {
                get() {
                    return this.title
                },
                set(newValue) {
                    return newValue
                }
            }
        },
        methods: {
            verify() {
                this.$emit('verify', this.day)
            },
            findMaterial() {
                this.$emit('findMaterial', {index: this.index, day: this.day})
            }
        }
    }
</script>

<style scope>
    .margin-bottom-5 {
        margin-bottom: 0.5rem;
    }
    .bold {
        font-weight: bold;
    }
</style>